Bug 652502 - libtlen contains an embedded copy of expat, prone to CVE-2009-3720
Summary: libtlen contains an embedded copy of expat, prone to CVE-2009-3720
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtlen
Version: 13
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2009-3720
TreeView+ depends on / blocked
 
Reported: 2010-11-12 03:41 UTC by Silvio Cesare
Modified: 2010-11-23 21:54 UTC (History)
2 users (show)

Fixed In Version: libtlen-0-0.10.20060309.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-21 21:51:38 UTC
Type: ---


Attachments (Terms of Use)

Description Silvio Cesare 2010-11-12 03:41:33 UTC
Description of problem:

libtlen contains an old embedded version of the expat xml parsing library. Code inspection shows this embedded copy is vulnerable to CVE-2009-3720 and possibly other issues.

Version-Release number of selected component (if applicable):

Version: 0
Release: 0.9.20060309.fc12

Additional info:

Ideally, the best solution is to link in the system expat library and not use the embedded copy. This would help prevent these types of security issues from reoccuring.

I have marked this issue as a security issue due to the fact that a CVE was assigned to expat. I have not investigated how this vulnerability would be triggered by libtlen.

Comment 2 Fedora Update System 2010-11-15 14:05:27 UTC
libtlen-0-0.10.20060309.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/libtlen-0-0.10.20060309.fc12

Comment 3 Fedora Update System 2010-11-15 14:05:46 UTC
libtlen-0-0.10.20060309.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libtlen-0-0.10.20060309.fc14

Comment 4 Fedora Update System 2010-11-15 14:05:52 UTC
libtlen-0-0.10.20060309.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libtlen-0-0.10.20060309.fc13

Comment 5 Fedora Update System 2010-11-15 22:14:57 UTC
libtlen-0-0.10.20060309.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libtlen'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libtlen-0-0.10.20060309.fc14

Comment 6 Fedora Update System 2010-11-21 21:51:33 UTC
libtlen-0-0.10.20060309.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-11-21 21:55:33 UTC
libtlen-0-0.10.20060309.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-11-23 21:53:59 UTC
libtlen-0-0.10.20060309.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.